# Update Status to Reviewed

## Update feedback review status

> Marks the feedback as reviewed.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5102-g2bf281b6"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/helpdesk/feedback/{id}/review":{"post":{"tags":["Feedback"],"summary":"Update feedback review status","description":"Marks the feedback as reviewed.","parameters":[{"name":"id","in":"path","description":"The feedback ID.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A cancellation token.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CancellationToken"}]}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CancellationToken"}]}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CancellationToken"}]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Feedback"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"CancellationToken":{"type":"object","properties":{"isCancellationRequested":{"type":"boolean","readOnly":true},"canBeCanceled":{"type":"boolean","readOnly":true},"waitHandle":{"allOf":[{"$ref":"#/components/schemas/WaitHandle"}],"readOnly":true}},"additionalProperties":false},"WaitHandle":{"type":"object","properties":{"handle":{"allOf":[{"$ref":"#/components/schemas/IntPtr"}],"deprecated":true},"safeWaitHandle":{"allOf":[{"$ref":"#/components/schemas/SafeWaitHandle"}]}},"additionalProperties":false},"IntPtr":{"type":"object","additionalProperties":false},"SafeWaitHandle":{"type":"object","properties":{"isClosed":{"type":"boolean","readOnly":true},"isInvalid":{"type":"boolean","readOnly":true}},"additionalProperties":false},"Feedback":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","description":"Gets or sets the description associated with the feedback.","nullable":true},"requester":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"status":{"allOf":[{"$ref":"#/components/schemas/FeedbackStatus"}],"description":"Gets or sets the status associated with the feedback."},"rating":{"type":"integer","description":"Gets or sets the rating associated with the feedback.","format":"int32","nullable":true},"notes":{"type":"string","description":"Gets or sets the notes associated with the feedback.","nullable":true},"internalNotes":{"type":"string","description":"Gets or sets the internal notes associated with the feedback.","nullable":true},"externalId":{"type":"string","description":"Gets or sets the externalId associated with the feedback.","nullable":true},"metaData":{"description":"Gets the metadata as a JSON document (read-only).","nullable":true},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackAttachmentRef"},"description":"Represents the attachments associated with the feedback.","nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"FeedbackStatus":{"enum":["Submitted","Reviewed","Deleted"],"type":"string"},"FeedbackAttachmentRef":{"type":"object","properties":{"id":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"feedback":{"allOf":[{"$ref":"#/components/schemas/Feedback"}],"description":"Represents the feedback this attachment belongs to."},"file":{"allOf":[{"$ref":"#/components/schemas/File"}],"description":"Represents the file this attachment belongs to."},"name":{"type":"string","description":"Represents the name this attachment."},"description":{"type":"string","description":"Represents the description this attachment.","nullable":true}},"additionalProperties":false},"File":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/FileType"}],"description":"Specifies the type of the file, such as attachment or icon"},"filename":{"type":"string","description":"Represents the name of the file associated with the attachment."},"size":{"type":"integer","description":"Indicates the size of the file in bytes.","format":"int64","nullable":true},"contentType":{"type":"string","description":"Represents the MIME type of the file content."}},"additionalProperties":false,"description":"Represents a file in the helpdesk module"},"FileType":{"enum":["Attachment","Icon","Image","Video"],"type":"string"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
